Package com.sas.services.information.metadata

# Class OMRHost

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRHost

All Implemented Interfaces:
  `HostInterface`, `MetadataInterface`, `PublicObjectInterface`, `Serializable`, `Remote`

public class OMRHost extends Metadata implements HostInterface

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.sas.util.UsageVersion`
  `CURRENT_VERSION`
  `static final com.sas.util.UsageVersion`
  `OLDEST_VERSION`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `OMRHost()`
  ``
  `OMRHost(com.sas.metadata.remote.impl.MachineImpl host)`
  ``
  `OMRHost(com.sas.metadata.remote.impl.MachineImpl_Stub host)`
  `protected`
  `OMRHost(com.sas.metadata.remote.impl.MachineImpl_Stub host, Class theClass)`
  `protected`
  `OMRHost(com.sas.metadata.remote.impl.MachineImpl host, Class theClass)`
  ``
  `OMRHost(com.sas.metadata.remote.Machine host)`
  `protected`
  `OMRHost(com.sas.metadata.remote.Machine host, Class theClass)`
  ``
  `OMRHost(RepositoryInterface repository, String name)`
  `protected`
  `OMRHost(Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  `List<?>`
  `getDeployedComponents()`
  `InetAddress`
  `getHost()`
  `String`
  `getHostName()`
  `int`
  `hashCode()`
  `void`
  `setHostName(String hostName)`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getType, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Field Details

  - ### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

  - ### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

- ## Constructor Details

  - ### OMRHost

    public OMRHost() throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    protected OMRHost(Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    public OMRHost(com.sas.metadata.remote.Machine host) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    protected OMRHost(com.sas.metadata.remote.Machine host, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    public OMRHost(com.sas.metadata.remote.impl.MachineImpl host) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    protected OMRHost(com.sas.metadata.remote.impl.MachineImpl host, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    public OMRHost(com.sas.metadata.remote.impl.MachineImpl_Stub host) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    protected OMRHost(com.sas.metadata.remote.impl.MachineImpl_Stub host, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRHost

    public OMRHost(RepositoryInterface repository, String name) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### getDeployedComponents

    public List<?> getDeployedComponents() throws RemoteException, ServiceException
    Specified by:
      `getDeployedComponents` in interface `HostInterface`
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getHost

    public InetAddress getHost() throws RemoteException, ServiceException
    Specified by:
      `getHost` in interface `HostInterface`
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getHostName

    public String getHostName() throws RemoteException, ServiceException
    Specified by:
      `getHostName` in interface `HostInterface`
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setHostName

    public void setHostName(String hostName) throws RemoteException, ServiceException
    Specified by:
      `setHostName` in interface `HostInterface`
    Throws:
      `RemoteException`
      `ServiceException`

  - ### equals

    public boolean equals(Object object)
    Overrides:
      `equals` in class `RemoteObject`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Metadata`